Heroku-18, Heroku-20 and Heroku-22 Stack Images Updated

Change effective on 18 July 2022

We have updated the heroku-18, heroku-20 and heroku-22 stack images to pick up security fixes in upstream packages. The new stack images will be rolled out automatically over the next 24 hours. You do not need to redeploy your app or manually restart your dynos.

See this Dev Center article for an overview of the packages available in each stack image.

The Heroku-18 stack is deprecated and will reach end-of-life on April 30th, 2023. Please upgrade to a newer stack as soon as possible. See the Heroku-18 End-Of-Life FAQ for more details.

Changelog of packages

The following packages have been changed; a separate section for each stack (if applicable) lists packages that are only available at build time, but not at runtime.

Stack: heroku-18

  • Updated git from version 1:2.17.1-1ubuntu0.11 to 1:2.17.1-1ubuntu0.12
  • Updated git-man from version 1:2.17.1-1ubuntu0.11 to 1:2.17.1-1ubuntu0.12
  • Updated libpython2.7-minimal from version 2.7.17-1~18.04ubuntu1.7 to 2.7.17-1~18.04ubuntu1.8
  • Updated libpython2.7-stdlib from version 2.7.17-1~18.04ubuntu1.7 to 2.7.17-1~18.04ubuntu1.8
  • Updated libpython3.6-minimal from version 3.6.9-1~18.04ubuntu1.7 to 3.6.9-1~18.04ubuntu1.8
  • Updated libpython3.6-stdlib from version 3.6.9-1~18.04ubuntu1.7 to 3.6.9-1~18.04ubuntu1.8
  • Updated linux-libc-dev from version 4.15.0-188.199 to 4.15.0-189.200
  • Updated python2.7 from version 2.7.17-1~18.04ubuntu1.7 to 2.7.17-1~18.04ubuntu1.8
  • Updated python2.7-minimal from version 2.7.17-1~18.04ubuntu1.7 to 2.7.17-1~18.04ubuntu1.8
  • Updated python3.6 from version 3.6.9-1~18.04ubuntu1.7 to 3.6.9-1~18.04ubuntu1.8
  • Updated python3.6-minimal from version 3.6.9-1~18.04ubuntu1.7 to 3.6.9-1~18.04ubuntu1.8

Updates to packages available at build time only

  • Updated libpython2.7 from version 2.7.17-1~18.04ubuntu1.7 to 2.7.17-1~18.04ubuntu1.8
  • Updated libpython2.7-dev from version 2.7.17-1~18.04ubuntu1.7 to 2.7.17-1~18.04ubuntu1.8
  • Updated python2.7-dev from version 2.7.17-1~18.04ubuntu1.7 to 2.7.17-1~18.04ubuntu1.8

Stack: heroku-20

  • Updated git from version 1:2.25.1-1ubuntu3.4 to 1:2.25.1-1ubuntu3.5
  • Updated git-man from version 1:2.25.1-1ubuntu3.4 to 1:2.25.1-1ubuntu3.5
  • Updated libpython3.8-minimal from version 3.8.10-0ubuntu1~20.04.4 to 3.8.10-0ubuntu1~20.04.5
  • Updated libpython3.8-stdlib from version 3.8.10-0ubuntu1~20.04.4 to 3.8.10-0ubuntu1~20.04.5
  • Updated linux-libc-dev from version 5.4.0-121.137 to 5.4.0-122.138
  • Updated python3.8 from version 3.8.10-0ubuntu1~20.04.4 to 3.8.10-0ubuntu1~20.04.5
  • Updated python3.8-minimal from version 3.8.10-0ubuntu1~20.04.4 to 3.8.10-0ubuntu1~20.04.5

Updates to packages available at build time only

  • Updated libpython2.7-minimal from version 2.7.18-1~20.04.1 to 2.7.18-1~20.04.3
  • Updated libpython2.7-stdlib from version 2.7.18-1~20.04.1 to 2.7.18-1~20.04.3
  • Updated libpython3.8 from version 3.8.10-0ubuntu1~20.04.4 to 3.8.10-0ubuntu1~20.04.5
  • Updated libpython3.8-dev from version 3.8.10-0ubuntu1~20.04.4 to 3.8.10-0ubuntu1~20.04.5
  • Updated python2.7 from version 2.7.18-1~20.04.1 to 2.7.18-1~20.04.3
  • Updated python2.7-minimal from version 2.7.18-1~20.04.1 to 2.7.18-1~20.04.3
  • Updated python3.8-dev from version 3.8.10-0ubuntu1~20.04.4 to 3.8.10-0ubuntu1~20.04.5

Stack: heroku-22

  • Updated git from version 1:2.34.1-1ubuntu1.2 to 1:2.34.1-1ubuntu1.4
  • Updated git-man from version 1:2.34.1-1ubuntu1.2 to 1:2.34.1-1ubuntu1.4
  • Updated libpython3.10-minimal from version 3.10.4-3 to 3.10.4-3ubuntu0.1
  • Updated libpython3.10-stdlib from version 3.10.4-3 to 3.10.4-3ubuntu0.1
  • Updated libsystemd0 from version 249.11-0ubuntu3.3 to 249.11-0ubuntu3.4
  • Updated libudev1 from version 249.11-0ubuntu3.3 to 249.11-0ubuntu3.4
  • Updated linux-libc-dev from version 5.15.0-40.43 to 5.15.0-41.44
  • Updated python3.10 from version 3.10.4-3 to 3.10.4-3ubuntu0.1
  • Updated python3.10-minimal from version 3.10.4-3 to 3.10.4-3ubuntu0.1
  • Updated systemd from version 249.11-0ubuntu3.3 to 249.11-0ubuntu3.4

Updates to packages available at build time only

  • Updated libpython3.10 from version 3.10.4-3 to 3.10.4-3ubuntu0.1
  • Updated libpython3.10-dev from version 3.10.4-3 to 3.10.4-3ubuntu0.1
  • Updated libsystemd-dev from version 249.11-0ubuntu3.3 to 249.11-0ubuntu3.4
  • Updated libudev-dev from version 249.11-0ubuntu3.3 to 249.11-0ubuntu3.4
  • Updated python3.10-dev from version 3.10.4-3 to 3.10.4-3ubuntu0.1